- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#body.EnumeratePrintJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#body.aspect)
- [PrintJob](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#PrintJob)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#PrintJob.SCHEMA_REPRESENTATION)
- [State](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#State)
- [ColorMode](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#ColorMode)
- [DuplexMode](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#DuplexMode)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#try-it)

Get a list of print jobs.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:enumeratePrintJobs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Customer ID prefixed with "customers/" or "customers/my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `printerOrgUnitId` | `string` The ID of the organizational unit for printers. If specified, only print jobs submitted to printers from the specified organizational unit will be returned. |
| `pageSize` | `integer` The number of print jobs in the page from 0 to 100 inclusive, if pageSize is not specified or zero, the size will be 50. |
| `pageToken` | `string` A page token received from a previous `reports.enumeratePrintJobs` call. Provide this to retrieve the subsequent page. If omitted, the first page of results will be returned. When paginating, all other parameters provided to `reports.enumeratePrintJobs` must match the call that provided the page token. |
| `filter` | `string` Query string to filter results, AND-separated fields in EBNF syntax. Note: OR operations are not supported in this filter. Note: Only \>= and \<= comparators are supported for `completeTime`. Note: Only = comparator supported for `userId` and `printerId`. Supported filter fields: - completeTime - printerId - userId |
| `orderBy` | `string` Field used to order results. If not specified, results will be ordered in descending order of the `completeTime` field. Supported order by fields: - title - state - createTime - completeTime - documentPageCount - colorMode - duplexMode - printer - userEmail |

### Request body

The request body must be empty.

### Response body

Response containing a list of print jobs.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printJobs": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#PrintJob`) } ], "nextPageToken": string, "totalSize": string } ``` |

| Fields ||
|---|---|
| `printJobs[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#PrintJob`)`` List of requested print jobs. |
| `nextPageToken` | `string` A token, which can be used in a subsequent request to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `string (https://developers.google.com/discovery/v1/type-format format)` Total number of print jobs matching request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## PrintJob

Represents a request to print a document that has been submitted to a printer.

| JSON representation |
|---|
| ``` { "id": string, "title": string, "state": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#State`), "createTime": string, "completeTime": string, "documentPageCount": integer, "colorMode": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#ColorMode`), "duplexMode": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#DuplexMode`), "copyCount": integer, "printerId": string, "printer": string, "userEmail": string, "userId": string } ``` |

| Fields ||
|---|---|
| `id` | `string` Unique ID of the print job. |
| `title` | `string` The title of the document. |
| `state` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#State`)`` The final state of the job. |
| `createTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Print job creation timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `completeTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Print job completion timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `documentPageCount` | `integer` Number of pages in the document. |
| `colorMode` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#ColorMode`)`` Color mode. |
| `duplexMode` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/enumeratePrintJobs#DuplexMode`)`` Duplex mode. |
| `copyCount` | `integer` Number of copies. |
| `printerId` | `string` API ID of the printer used for printing. |
| `printer` | `string` Name of the printer used for printing. |
| `userEmail` | `string` The primary e-mail address of the user who submitted the print job. |
| `userId` | `string` The unique Directory API ID of the user who submitted the print job. |

## State

State of the print job.

| Enums ||
|---|---|
| `STATE_UNSPECIFIED` | Print job is in an unspecified state. |
| `PRINTED` | The document was successfully printed. |
| `CANCELLED` | Print job was cancelled. |
| `FAILED` | Print job failed. |

## ColorMode

Print job color mode.

| Enums ||
|---|---|
| `COLOR_MODE_UNSPECIFIED` | Unspecified. |
| `BLACK_AND_WHITE` | Black and white. |
| `COLOR` | Color. |

## DuplexMode

Print job duplex mode.

| Enums ||
|---|---|
| `DUPLEX_MODE_UNSPECIFIED` | Unspecified. |
| `ONE_SIDED` | One-sided. |
| `TWO_SIDED_LONG_EDGE` | Two-sided flipping over long edge. |
| `TWO_SIDED_SHORT_EDGE` | Two-sided flipping over short edge. |